package com.ruoyi.system.service;

import com.ruoyi.system.domain.SysNotice;
import com.ruoyi.system.domain.dto.SysNoticeQuery;
import com.ruoyi.system.domain.vo.SysNoticeVO;

import java.util.List;

/**
 * 公告 服务层
 *
 * @author ruoyi
 */
public interface ISysNoticeService
{
    /**
     * 查询公告信息
     *
     * @param noticeId 公告ID
     * @return 公告信息
     */
    public SysNoticeVO selectNoticeById(Long noticeId);

    /**
     * 查询公告列表
     *
     * @param query 公告信息
     * @return 公告集合
     */
    public List<SysNoticeVO> selectNoticeList(SysNoticeQuery query);

    /**
     * 新增公告
     *
     * @param notice 公告信息
     * @return 结果
     */
    public int insertNotice(SysNotice notice);

    /**
     * 修改公告
     *
     * @param notice 公告信息
     * @return 结果
     */
    public int updateNotice(SysNotice notice);

    /**
     * 删除公告信息
     *
     * @param noticeId 公告ID
     * @return 结果
     */
    public int deleteNoticeById(Long noticeId);

    /**
     * 批量删除公告信息
     *
     * @param noticeIds 需要删除的公告ID
     * @return 结果
     */
    public int deleteNoticeByIds(Long[] noticeIds);

    SysNoticeVO selectOne(SysNoticeQuery query);
}
