package com.ruoyi.ss.article.domain;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.JsonViewProfile;
import com.ruoyi.common.core.domain.entity.SmArticleClassify;
import lombok.Data;

/**
 * 文章对象 as_article
 *
 * @author qiuzhenzhao
 * @date 2023-12-06
 */
@Data
public class SmArticle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 文章id */
    @JsonView(JsonViewProfile.App.class)
    private Long articleId;

    /**分类id */
    @Excel(name = "分类id")
    @JsonView(JsonViewProfile.App.class)
    private Long classifyId;

    /** 标题 */
    @Excel(name = "标题")
    @JsonView(JsonViewProfile.App.class)
    private String title;

    /** logo地址 */
    private String logo;

    /** 主图地址 */
    @Excel(name = "主图地址")
    private String masterPicture;

    /** 标签：以，分割 */
    @Excel(name = "标签：以，分割")
    private String tag;

    /** 是否热门 */
    @Excel(name = "是否热门")
    private String isHot;

    /** 简介 */
    @JsonView(JsonViewProfile.App.class)
    private String introduction;

    /** 内容详情 */
    @JsonView(JsonViewProfile.App.class)
    private String content;

    /** 作者 */
    @JsonView(JsonViewProfile.App.class)
    private String author;

    /** 格式化日期 */
    private String formatCreateTime;

    private SmArticleClassify classify;
}
