package com.ruoyi.ss.payBill.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author wjh
 * 2024/7/24
 */
@Data
public class PayBillQuery extends PayBill{

    @ApiModelProperty("状态列表")
    private List<String> statusList;

    @ApiModelProperty("业务ID列表")
    private List<Long> bstIds;

    @ApiModelProperty("业务类型列表")
    private List<String> bstTypes;

    @ApiModelProperty("创建时间（开始）")
    private LocalDateTime startCreateTime;

    @ApiModelProperty("创建时间（结束）")
    private LocalDateTime endCreateTime;

    @ApiModelProperty("支付订单ID列表")
    private List<Long> payIds;

    @ApiModelProperty("支付日期（开始）")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate payDateStart;

    @ApiModelProperty("支付日期（结束）")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate payDateEnd;
}
