package com.ruoyi.ss.vip.utils;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.ss.vipLevelSku.domain.enums.VipLevelSkuLimitType;

import java.time.LocalDateTime;

/**
 * @author wjh
 * 2025/1/18
 */
public class VipUtil {

    /**
     * 获取从当前时间算起的下次重置时间
     */
    public static LocalDateTime getNextResetTime(LocalDateTime time, String limitType) {
        if (limitType == null || VipLevelSkuLimitType.NONE.getType().equals(limitType)) {
            return null;
        }
        if (VipLevelSkuLimitType.WEEK.getType().equals(limitType)) {
            // 获取下一个星期一
            return DateUtils.nextMonday(time);
        } else if (VipLevelSkuLimitType.DAYS_30.getType().equals(limitType)) {
            // 获取30天后
            return time.plusDays(30);
        }
        return null;
    }

}
