package com.ruoyi.ss.vipOrder.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 会员订单对象 ss_vip_order
 *
 * @author ruoyi
 * @date 2025-01-17
 */
@Data
public class VipOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "订单编号")
    @ApiModelProperty("订单编号")
    private String orderNo;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    private Long userId;

    @Excel(name = "商户ID")
    @ApiModelProperty("商户ID")
    private Long mchId;

    @Excel(name = "VIP等级ID")
    @ApiModelProperty("VIP等级ID")
    private Long levelId;

    @Excel(name = "下单时的等级名称")
    @ApiModelProperty("下单时的等级名称")
    private String levelName;

    @Excel(name = "下单时的折扣")
    @ApiModelProperty("下单时的折扣")
    private BigDecimal levelDiscount;

    @Excel(name = "下单时的可用店铺列表")
    @ApiModelProperty("下单时的可用店铺列表")
    private Long levelStoreId;

    @Excel(name = "订单等级续费解决方案")
    @ApiModelProperty("订单等级续费解决方案")
    private String levelSolution;

    @Excel(name = "sku ID")
    @ApiModelProperty("sku ID")
    private Long skuId;

    @Excel(name = "sku名称")
    @ApiModelProperty("sku名称")
    private String skuName;

    @Excel(name = "sku购买时长")
    @ApiModelProperty("sku购买时长")
    private Integer skuTime;

    @Excel(name = "sku价格")
    @ApiModelProperty("sku价格")
    private BigDecimal skuPrice;

    @Excel(name = "sku限制类型")
    @ApiModelProperty("sku限制类型")
    private String skuLimitType;

    @Excel(name = "sku限制次数")
    @ApiModelProperty("sku限制次数")
    private Integer skuLimitCount;

    @Excel(name = "sku总限制次数")
    @ApiModelProperty("sku总限制次数")
    private Integer skuLimitTotal;

    @Excel(name = "实付金额")
    @ApiModelProperty("实付金额")
    private BigDecimal amount;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "订单过期时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("订单过期时间")
    private LocalDateTime expireTime;

    @Excel(name = "支付订单ID")
    @ApiModelProperty("支付订单ID")
    private Long payId;

    @Excel(name = "订单状态", readConverterExp = "1=待支付,2=支付成功,3=已取消")
    @ApiModelProperty("订单状态")
    private String status;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "取消时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("取消时间")
    private LocalDateTime cancelTime;

    @Excel(name = "取消原因")
    @ApiModelProperty("取消原因")
    private String cancelReason;

    @Excel(name = "用户名称")
    @ApiModelProperty("用户名称")
    private String userName;

    @Excel(name = "商户名称")
    @ApiModelProperty("商户名称")
    private String mchName;

    @Excel(name = "支付渠道名称")
    @ApiModelProperty("支付渠道名称")
    private String channelName;

    @Excel(name = "支付订单编号")
    @ApiModelProperty("支付订单编号")
    private String payNo;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("支付时间")
    private LocalDateTime payTime;

    @Excel(name = "店铺名称")
    @ApiModelProperty("店铺名称")
    private String storeName;

    @Excel(name = "渠道类型")
    @ApiModelProperty("渠道类型")
    private String channelType;

    @Excel(name = "支付渠道ID")
    @ApiModelProperty("支付渠道ID")
    private Long channelId;
}
